import '../../stencil.core';
import { EventEmitter } from '../../stencil.core';
export declare class CwcDatepicker {
    id: string;
    label: string;
    startDate: string;
    endDate: string;
    lang: string;
    format: string;
    statechange: EventEmitter;
    onChange: EventEmitter;
    element: HTMLInputElement;
    el: HTMLElement;
    container: HTMLElement;
    langConstants: {
        en: {
            days: string[];
            months: string[];
            today: string;
            clear: string;
            close: string;
            startDate: string;
            endDate: string;
        };
        de: {
            days: string[];
            months: string[];
            today: string;
            clear: string;
            close: string;
            startDate: string;
            endDate: string;
        };
    };
    rangeInputElement: HTMLInputElement;
    dp: any;
    range: any;
    componentDidLoad(): void;
    private parseInputString;
    private formInputValueString;
    private startDateValueString;
    private endDateValueString;
    private showPicker;
    render(): JSX.Element;
}
